import { HYDRATE } from 'next-redux-wrapper';

import * as actionTypes from '../constants/actionTypes';
import initialState from "./initialState";

const contractFinesReducer = (state = initialState.contract_fines, action) => 
{
	switch (action.type) 
	{
		case actionTypes.CONTRACT_FINES: 
		{
			return {
				...state, ...action.data, 
			};
		}

		case actionTypes.CONTRACT_FINES_RESET: 
		{
			return {};
		}

		default: {
			return state;
		}
	}
};

export default contractFinesReducer;